
Redmine - Defect #28878

Email does not support Russian-language domains.

2018-05-25 10:12 - Дмитрий Ванчук

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Accounts / authentication Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version: 3.4.5

Description

Example: info@сайт.бел

Checked in the registration form.

Related issues:

Related to Redmine - Defect #15985: Email address with non-ASCII character ca... Closed

Related to Redmine - Feature #29208: Support email addresses with IDN (intern... Closed

History

#1 - 2018-05-27 13:40 - Go MAEDA

- Related to Defect #15985: Email address with non-ASCII character causes delivery error added

#2 - 2018-05-27 14:00 - Go MAEDA

Current versions of Redmine accepts only alphabets, numbers, and hyphens for the domain part of email addresses (

source:tags/3.4.5/app/models/email_address.rb#L29).

Please use Punycode to avoid this issue. For example, use "info@xn--80aswg.xn--90ais" instead of "info@сайт.бел".

#3 - 2018-07-07 09:06 - Go MAEDA

- Related to Feature #29208: Support email addresses with IDN (internationalized domain names) in user accounts added

#4 - 2018-07-08 01:34 - Go MAEDA

I posted a patch to support IDN (internationalized domain names) as #29208. You will be able to Russian domain names if the patch is merged.

#5 - 2018-07-08 04:31 - Go MAEDA

- File support-idn-email-addresses-v4.diff added

#6 - 2018-07-08 07:40 - Go MAEDA

- File deleted (support-idn-email-addresses-v4.diff)

#7 - 2018-12-05 11:58 - Дмитрий Ванчук

Thank you so much!

#8 - 2024-02-01 09:53 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Fixed

The feature to support IDNs (Internationalized Domain Names) was implemented in r22667. If you enter an email address with an IDN into your

account, Redmine will convert the domain to its ASCII equivalent before saving the email address (e.g. marie@société.example =>

marie@xn--socit-esab.example).
